#![no_std]
#![no_main]

#[macro_use]
extern crate user_lib;

use user_lib::syscall::{sys_get_time, sys_yield};

#[no_mangle]
fn main() -> i32 {
    let current_timer = sys_get_time();
    let wait_for = current_timer + 3000;
    while sys_get_time() < wait_for {
        // sys_yield();  loop太快,防止每次切换时间小于1ms, 这里注释, 但是还是不对, 模拟器的时间不准,cpu频率不对, 这个用户应用统计的怎么都不够3000ms
    }
    println!("Test sleep OK!");
    0
}
